Public Member Functions | Protected Member Functions | Friends

# GDALProxyPoolDataset Class Reference

Inheritance diagram for GDALProxyPoolDataset:

List of all members.

## Public Member Functions
| GDALProxyPoolDataset (const char *pszSourceDatasetDescription, int nRasterXSize, int nRasterYSize, GDALAccess eAccess=GA_ReadOnly, int bShared=FALSE, const char *pszProjectionRef=NULL, double *padfGeoTransform=NULL)
void | SetOpenOptions (char **papszOpenOptions)
void | AddSrcBandDescription (GDALDataType eDataType, int nBlockXSize, int nBlockYSize)
virtual const char * | GetProjectionRef (void)
| Fetch the projection definition string for this dataset.
virtual CPLErr | SetProjection (const char *)
virtual CPLErr | GetGeoTransform (double *)
| Fetch the affine transformation coefficients.
virtual CPLErr | SetGeoTransform (double *)
virtual char ** | GetMetadata (const char *pszDomain)
| Fetch metadata.
virtual const char * | GetMetadataItem (const char *pszName, const char *pszDomain)
| Fetch single metadata item.
virtual void * | GetInternalHandle (const char *pszRequest)
virtual const char * | GetGCPProjection ()
| Get output projection for GCPs.
virtual const GDAL_GCP * | GetGCPs ()
| Fetch GCPs.
## Protected Member Functions
virtual GDALDataset * | RefUnderlyingDataset ()
virtual void | UnrefUnderlyingDataset (GDALDataset *poUnderlyingDataset)
## Friends
class | GDALProxyPoolRasterBand

## Member Function Documentation

const char * GDALProxyPoolDataset::GetGCPProjection | ( |  | ) | `[virtual]`

Get output projection for GCPs.

This method is the same as the C function GDALGetGCPProjection().

The projection string follows the normal rules from GetProjectionRef().

Returns:
  internal projection string or "" if there are no GCPs. It should not be altered, freed or expected to last for long.

Reimplemented from GDALProxyDataset.

const GDAL_GCP * GDALProxyPoolDataset::GetGCPs | ( |  | ) | `[virtual]`

Fetch GCPs.

This method is the same as the C function GDALGetGCPs().

Returns:
  pointer to internal GCP structure list. It should not be modified, and may change on the next GDAL call.

Reimplemented from GDALProxyDataset.

CPLErr GDALProxyPoolDataset::GetGeoTransform | ( | double * | padfTransform | ) | `[virtual]`

Fetch the affine transformation coefficients.

Fetches the coefficients for transforming between pixel/line (P,L) raster space, and projection coordinates (Xp,Yp) space.

       Xp = padfTransform[0] + P*padfTransform[1] + L*padfTransform[2];
       Yp = padfTransform[3] + P*padfTransform[4] + L*padfTransform[5];

In a north up image, padfTransform[1] is the pixel width, and padfTransform[5] is the pixel height. The upper left corner of the upper left pixel is at position (padfTransform[0],padfTransform[3]).

The default transform is (0,1,0,0,0,1) and should be returned even when a CE_Failure error is returned, such as for formats that don't support transformation to projection coordinates.

This method does the same thing as the C GDALGetGeoTransform() function.

Parameters:

  | padfTransform | an existing six double buffer into which the transformation will be placed.

Returns:
  CE_None on success, or CE_Failure if no transform can be fetched.

Reimplemented from GDALProxyDataset.

char ** GDALProxyPoolDataset::GetMetadata | ( | const char * | pszDomain | ) | `[virtual]`

Fetch metadata.

The returned string list is owned by the object, and may change at any time. It is formated as a "Name=value" list with the last pointer value being NULL. Use the the CPL StringList functions such as CSLFetchNameValue() to manipulate it.

Note that relatively few formats return any metadata at this time.

This method does the same thing as the C function GDALGetMetadata().

Parameters:

  | pszDomain | the domain of interest. Use "" or NULL for the default domain.

Returns:
  NULL or a string list.

Reimplemented from GDALProxyDataset.

const char * GDALProxyPoolDataset::GetMetadataItem | ( | const char * | pszName,
|  | const char * | pszDomain |
| ) |  |  | `[virtual]`

Fetch single metadata item.

The C function GDALGetMetadataItem() does the same thing as this method.

Parameters:

  | pszName | the key for the metadata item to fetch.
  | pszDomain | the domain to fetch for, use NULL for the default domain.

Returns:
  NULL on failure to find the key, or a pointer to an internal copy of the value string on success.

Reimplemented from GDALProxyDataset.

const char * GDALProxyPoolDataset::GetProjectionRef | ( | void |  | ) | `[virtual]`

Fetch the projection definition string for this dataset.

Same as the C function GDALGetProjectionRef().

The returned string defines the projection coordinate system of the image in OpenGIS WKT format. It should be suitable for use with the OGRSpatialReference class.

When a projection definition is not available an empty (but not NULL) string is returned.

Returns:
  a pointer to an internal projection reference string. It should not be altered, freed or expected to last for long.

See also:
  http://www.gdal.org/ogr/osr_tutorial.html

Reimplemented from GDALProxyDataset.

The documentation for this class was generated from the following files:

- gdal_proxy.h
- gdalproxypool.cpp

Generated for GDAL by 1.7.1.